Show / Hide Table of Contents

# EnumerableAsyncExtensions Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public static class EnumerableAsyncExtensions

##### Inheritance

System.Object → EnumerableAsyncExtensions

### Members

#### Methods

Name | Description
--- | ---
Select<T>(IEnumerable<T>, Func<T, UniTask>) |
Select<T>(IEnumerable<T>, Func<T, Int32, UniTask>) |
Select<T, TR>(IEnumerable<T>, Func<T, UniTask<TR>>) |
Select<T, TR>(IEnumerable<T>, Func<T, Int32, UniTask<TR>>) |

### Methods

#### Select<T>(IEnumerable<T>, Func<T, UniTask>)

    public static IEnumerable<UniTask> Select<T>(this IEnumerable<T> source, Func<T, UniTask> selector)

##### Parameters

`source` System.Collections.Generic.IEnumerable<T>
`selector` Func<T, UniTask>

##### Returns

System.Collections.Generic.IEnumerable<UniTask>

##### Type Parameters

`T`

#### Select<T>(IEnumerable<T>, Func<T, Int32, UniTask>)

    public static IEnumerable<UniTask> Select<T>(this IEnumerable<T> source, Func<T, int, UniTask> selector)

##### Parameters

`source` System.Collections.Generic.IEnumerable<T>
`selector` Func<T, System.Int32, UniTask>

##### Returns

System.Collections.Generic.IEnumerable<UniTask>

##### Type Parameters

`T`

#### Select<T, TR>(IEnumerable<T>, Func<T, UniTask<TR>>)

    public static IEnumerable<UniTask<TR>> Select<T, TR>(this IEnumerable<T> source, Func<T, UniTask<TR>> selector)

##### Parameters

`source` System.Collections.Generic.IEnumerable<T>
`selector` Func<T, UniTask<TR>>

##### Returns

System.Collections.Generic.IEnumerable<UniTask<TR>>

##### Type Parameters

`T`
`TR`

#### Select<T, TR>(IEnumerable<T>, Func<T, Int32, UniTask<TR>>)

    public static IEnumerable<UniTask<TR>> Select<T, TR>(this IEnumerable<T> source, Func<T, int, UniTask<TR>> selector)

##### Parameters

`source` System.Collections.Generic.IEnumerable<T>
`selector` Func<T, System.Int32, UniTask<TR>>

##### Returns

System.Collections.Generic.IEnumerable<UniTask<TR>>

##### Type Parameters

`T`
`TR`